Execute Fiat Payout Order
2 min
This API is used to execute a fiat payout order and complete the user’s withdrawal. It accepts header access token, token , requestId and clientId
Call this api after generating token from Create Fiat Payout Order mode=createVerify
This api requires access token that can be generated using Access TokenAccess Token API.
Execute Fiat Payout Order
Create an order with payout details from application's backend
POST
https://your-hostname.pay3.app/v1/client/payout/execute
Header Parameters
- access-tokenstringrequiredDescription
Body Parameters
- requestIdstringrequiredDescription
- clientIdstringrequiredDescription
- tokenstringrequiredDescription
Response
- requestIdstringDescription
- orderIdstringDescription
- orderTypestringDescription
- statusstringDescription
curl
curl --location 'https://your-hostname.pay3.app/v1/client/payout/create-order' \
--header 'signature': "generated-signature"\
--header 'access-token' : "dynamic-access-token" \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"token":"45452aae-581d-49db-94be-ac0973e39e86",
"requestId":"239e667a-3a54-4928-a265-09c003d7ec73",
"clientId":"...."
}'200
{
"requestId": "239e667a-3a54-4928-a265-09c003d7ec73",
"orderId": "776cd238-0d49-4a6b-b5e0-a8ca245036a2",
"orderType": "PAYOUT",
"status": "ORDER_PAYMENT_INITIATED"
}400
{
error: {
code: '7001',
message: 'Order already exists for given requestId'
}
}